Textpattern CMS support forum

You are not logged in. Register | Login | Help

#1 2008-09-06 22:25:58

Gocom
Plugin Author
Registered: 2006-07-14
Posts: 4,524
Website

rah_plugin_installer

Upload, install, update and manage rah-plugins directly from your Textpattern backend, with out any need of browsing complicated sites or searching scrattered plugin installation files.

  • Simple install: just run the automatic plugin install. No need to upload any files nor set permissions.
  • Download and install rah-family plugin directly from your Textpattern backend.
  • Smart real server side caching mechanism.
  • Simple admin panel, Plugin Installer, under Textpattern > Extensions.

More info and downloads

Offline

#2 2009-01-28 02:18:47

johnstephens
Plugin Author
From: Woodbridge, VA
Registered: 2008-06-01
Posts: 977
Website

Re: rah_plugin_installer

Can anyone confirm that this plugin works with Textpattern 4.0.8? I was using it swell before upgrading, but now it doesn’t load anything when I “Fetch and update plugin list,” even though it displays the message “Plugin table synched with server”. This occurs with both the compressed and uncompressed versions of the plugin.

Thanks!

Offline

#3 2009-01-28 03:14:44

Gocom
Plugin Author
Registered: 2006-07-14
Posts: 4,524
Website

Re: rah_plugin_installer

johnstephens wrote:

Can anyone confirm that this plugin works with Textpattern 4.0.8?

Rah FAQs are your friends ;) Simply said, yes it works. Most likely it is a server issue, rah or yours. Just downloaded plugin via the installer and it definetly worked. Check your remote connection settings and firewall.

If you click “install” or “update” -button on some plugin what happens? If it says “server timed out” etc, then the fault is on your end, either in PHP remote connections settings, connection or firewall.

Note that all rah -plugins work with setups descriped in FAQs and/or in docs. All unworking plugins are removed or fixed. Yes, we constantly test rah -plugins with different server setups and so on. If plugin doesn’t work, nobody can get it (safety is priority one). :)

Last edited by Gocom (2009-01-28 03:24:42)

Offline

#4 2009-01-28 08:10:31

johnstephens
Plugin Author
From: Woodbridge, VA
Registered: 2008-06-01
Posts: 977
Website

Re: rah_plugin_installer

Thanks, Jukka. Problem solved— I enabled allow_url_fopen. I’ve used this plugin from my local development server for several sites, but never on my live server, and I didn’t know this extra step was necessary.

As I said above, I couldn’t get the plugin list at all; “install” and “update” were unavailable. Now it’s working fine.

Offline

#5 2009-01-28 16:09:43

Gocom
Plugin Author
Registered: 2006-07-14
Posts: 4,524
Website

Re: rah_plugin_installer

johnstephens wrote:

Thanks, Jukka. Problem solved

Nice. Good :)

Offline

#6 2010-06-01 02:46:49

Gocom
Plugin Author
Registered: 2006-07-14
Posts: 4,524
Website

Re: rah_plugin_installer

Finally, version 0.2 has been released. Changelog:

  • Added more validity and error checks.
  • Added timeout support for update downloads. 3 seconds for update checks and 10 seconds for actual files.
  • Added option to turn automatic-updates off.
  • Cleaned the admin panel.
  • Fixed manual update check.
  • Fixed possible conflicts with other extension that included txp_plugin.php.

More info and downloads

Offline

#7 2011-07-18 19:05:12

visualpeople
Member
From: Corvallis, Oregon - USA
Registered: 2005-11-16
Posts: 70
Website

Re: rah_plugin_installer

Any idea why I would be getting this error on 4.4.1 sites when I click on “install”:

I'm sorry. I'm afraid I can't do that. I think rah_plugin_installer plugin_verify is no safe operation at this time.

I’ve checked and double-checked and it doesn’t happen on the exact same installation(s) with 4.4.0 — I have many on this server and rah_plugin_installer works great on 4.4.0, but breaks when I upgrade… I’ve tried re-installing the plugin even found a couple of installations that didn’t have it at all pre-upgrade and still doesn’t work.

Offline

#8 2011-07-18 19:16:14

johnstephens
Plugin Author
From: Woodbridge, VA
Registered: 2008-06-01
Posts: 977
Website

Re: rah_plugin_installer

Isn’t that the CSRF protection error message?

Offline

#9 2011-07-18 21:13:20

michaelkpate
Moderator
From: Avon Park, FL
Registered: 2004-02-24
Posts: 1,081
Website

Re: rah_plugin_installer

I would certainly say so based on

Offline

#10 2011-07-19 04:52:27

Gocom
Plugin Author
Registered: 2006-07-14
Posts: 4,524
Website

Re: rah_plugin_installer

visualpeople wrote:

I’ve checked and double-checked and it doesn’t happen on the exact same installation(s) with 4.4.0 — I have many on this server and rah_plugin_installer works great on 4.4.0, but breaks when I upgrade… I’ve tried re-installing the plugin even found a couple of installations that didn’t have it at all pre-upgrade and still doesn’t work.

Thank you for reporting that. That’s very known. Unfortunately the plugin isn’t TXP 4.4.1 compatible. An update is coming soon-ish, but may take a while.

Offline

Board footer

Powered by FluxBB